Undoubtedly, WordPress is the best open source blogging script a blogger can use. It’s popularity is the main reason for it to be affected by frequent SPAM attacks. I’ve always had double conversation in my mind, whether to upgrade to the latest version as soon as it is available, or wait till the upgrade is declared stable.

Most of the upgrades mainly are security fixes. So by not upgrading as soon as the latest version is available, I’ll be risking my blogs future in more than one way – read this post from WordPress development blog, which talks about one of the recent worms in WordPress which can cause death damage to your blog, and you won’t even know about it till you are actually penalized by the Search Engines !!

One of the main reason I used to shy away from upgrading to the latest version of WordPress as soon as it was available was because of plugin conflicts which would show up once in a while. When I compare plugin conflicts to security issues that lurk around older version of WordPress, I am sure I can afford conflicts and cannot compromise with my blogs security.

Hence, I’ve changed my decision to wait till a particular version of WordPress is declared stable, instead upgrade to the latest version as soon as it is available.

A Stitch In Time Definitely Saves Nine !!

NO COMMENTS

LEAVE A REPLY